      !!! PROGRAM scatdem

      INCLUDE 'STDHDR.FOR'
      INTEGER  n,wc,i
      REAL rr
      REAL xdata(0:maxv), ydata(0:maxv)

      n = 20
      DO i = 0,  n-1
        CALL random(rr)
        xdata(i) = (4.0*PI* (rr-0.5))
        ydata(i) =  30+ i - xdata(i) * xdata(i) *  rr
      END DO
      CALL InitSEGraphics(-1, 'c:\FOR\LIB\*.FON')
      DO wc = 1, 6
        CALL SetCurrentWindow(wc)
        CALL ClearWindow
        CALL SetAxesType(0,0)
        CALL BorderCurrentWindow(3)
        CALL SelectColor(3)
        CALL AutoAxes(xdata,ydata,n,0)
        CALL ScatterPlotData(xdata, ydata, n, 1,1)
        CALL SelectColor(2)
        CALL SetTextStyleXX(0,0,16,18)
        CALL TitleWindow('Roach Study')
        CALL SetTextStyleXX (0,0,10, 12)
        CALL TitleXAxis('Radiation exposure')
        CALL TitleYAxis('Pop. (10^6)')
        READ(*,*)


        CALL ClearWindow
        CALL BorderCurrentWindow(3)
        CALL SelectColor(3)
        CALL AutoAxes(xdata,ydata,n,1)
        CALL ScatterPlotData(xdata, ydata, n, 2,2)
        CALL SelectColor(7)
        CALL DrawGrid(5)
        CALL SelectColor(4)
        CALL SetTextStyleXX(0,0,16,18)
        CALL TitleWindow('Roach Study')
        CALL SetTextStyleXX(0,0,10,12)
        CALL TitleXAxis('Radiation exposure')
        CALL TitleYAxis('Pop. (10^6)')
        READ(*,*)
        CALL ClearWindow
      END DO
      CALL CloseSEGraphics

      END
